Loading...
Searching...
No Matches
CCacheCompare Struct Reference

`#include <syzextra.h>`

## Public Member Functions

| CCacheCompare ()
| CCacheCompare (const ring &r)
| CCacheCompare (const CCacheCompare &lhs)
CCacheCompare & | operator= (const CCacheCompare &lhs)
bool | operator() (const TCacheKey &l, const TCacheKey &r) const

## Data Fields

const ring & | m_ring

## Detailed Description

Definition at line 300 of file syzextra.h.

## Constructor & Destructor Documentation

## CCacheCompare() [1/3]

CCacheCompare::CCacheCompare | ( |  | ) |

## CCacheCompare() [2/3]

CCacheCompare::CCacheCompare | ( | const ring & | r | ) |

inline

Definition at line 306 of file syzextra.h.

: m_ring(r) { assume(r != NULL); }
assume
#define assume(x)
Definition mod2.h:389
NULL
#define NULL
Definition omList.c:12
CCacheCompare::m_ring
const ring & m_ring
Definition syzextra.h:302

## CCacheCompare() [3/3]

CCacheCompare::CCacheCompare | ( | const CCacheCompare & | lhs | ) |

inline

Definition at line 308 of file syzextra.h.

: m_ring(lhs.m_ring) { assume(m_ring != NULL); }

## Member Function Documentation

## operator()()

bool CCacheCompare::operator() | ( | const TCacheKey & | l,
|  | const TCacheKey & | r ) const

inline

Definition at line 311 of file syzextra.h.

{ assume(m_ring != NULL); return my_p_LmCmp(l, r, m_ring); }
l
int l
Definition cfEzgcd.cc:100
my_p_LmCmp
bool my_p_LmCmp(poly, poly, const ring)

## operator=()

CCacheCompare & CCacheCompare::operator= | ( | const CCacheCompare & | lhs | ) |

inline

Definition at line 309 of file syzextra.h.

{ assume(lhs.m_ring != NULL); return (const_cast<CCacheCompare&>(lhs)); }
CCacheCompare::CCacheCompare
CCacheCompare()

## Field Documentation

## m_ring

const ring& CCacheCompare::m_ring

Definition at line 302 of file syzextra.h.

The documentation for this struct was generated from the following file:

- Singular/dyn_modules/syzextra/syzextra.h